#
# spec file for package lam (Version 6.1)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  g77 tcsh

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         lam
Release:      3
Copyright:    1996 The Ohio State University
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Summary:      LAM (Local Area Multicomputer)
Version:      6.1
Source0: lam61.tar.gz
Source1: lam61-patch.tar.gz
Source2: lam61.doc.ps.gz
Patch0:   lam61.dif
%description
LAM (Local Area Multicomputer) is an MPI programming environment and
development system for heterogeneous computers on a network. With LAM,
a dedicated cluster or an existing network computing infrastructure can
act as one parallel computer solving one problem.
LAM features extensive debugging support in the application development
cycle and peak performance for production applications. LAM features a
full implementation of the MPI (Message Passing Interface) communication
standard. The documentation will be installed in
/usr/doc/packages/lam/ 
as lam61.doc.ps and in /usr/doc/packages/lam/mpi-quick-tut/ .
The WWW home page of LAM is
http://www.mpi.nd.edu/lam/ 

Authors:
--------
    The LAM Team <llamas@mpi.nd.edu>

%prep
%setup -n lam61
tar Oxfz $RPM_SOURCE_DIR/lam61-patch.tar.gz | patch -p0 -E
[ $? -ne 0 ] && exit 1
test -n "`find ./ -name '*.rej' -print0`" && exit 1
find ./ -name '*.orig' -exec rm -f '{}' \;
%patch
%build
#
rm -f  Config/config
make -f Makefile.Linux compile
#
%install
#
make -f Makefile.Linux install
install -c -m 0644 $RPM_SOURCE_DIR/lam61.doc.ps.gz /usr/doc/packages/lam/
Check
#
%files
%dir /usr/lib/lam/
#
# headers
#    symbolic link
/usr/lib/lam/h
# real headers
%dir /usr/include/lam/
/usr/include/lam/FREQ.h
/usr/include/lam/MPISYS.h
/usr/include/lam/NET.h
/usr/include/lam/all_hash.h
/usr/include/lam/all_list.h
/usr/include/lam/all_opt.h
/usr/include/lam/all_queue.h
/usr/include/lam/all_slist.h
/usr/include/lam/app_mgmt.h
/usr/include/lam/app_schema.h
/usr/include/lam/args.h
/usr/include/lam/bfreq.h
/usr/include/lam/blktype.h
/usr/include/lam/debug.h
/usr/include/lam/dl_inet.h
/usr/include/lam/ereq.h
/usr/include/lam/events.h
/usr/include/lam/flatreq.h
/usr/include/lam/freq.h
/usr/include/lam/kio.h
/usr/include/lam/kreq.h
/usr/include/lam/ksignal.h
/usr/include/lam/ktrace.h
/usr/include/lam/lam.h
/usr/include/lam/lam_config.h
/usr/include/lam/lam_ksignal.h
/usr/include/lam/lamnet.h
/usr/include/lam/lreq.h
/usr/include/lam/mpi.h
/usr/include/lam/mpi_types.h
/usr/include/lam/mpif.h
/usr/include/lam/mpisys.h
/usr/include/lam/mpitrace.h
/usr/include/lam/ndi.h
/usr/include/lam/net.h
/usr/include/lam/patchlevel.h
/usr/include/lam/pdi.h
/usr/include/lam/portable.h
/usr/include/lam/preq.h
/usr/include/lam/priority.h
/usr/include/lam/rpi.lamd.h
/usr/include/lam/rpi.tcp.h
/usr/include/lam/rpisys.h
/usr/include/lam/rreq.h
/usr/include/lam/sfh.h
/usr/include/lam/shm.hpux.h
/usr/include/lam/shm.sgi.h
/usr/include/lam/shm.sol.h
/usr/include/lam/shm.sysv.h
/usr/include/lam/t_types.h
/usr/include/lam/terror.h
/usr/include/lam/trreq.h
/usr/include/lam/tstdio.h
/usr/include/lam/typical.h
/usr/include/lam/vctable.h
/usr/include/mpi
/usr/include/mpi.h
#
# lib dir
#   symbolic links
%dir /usr/lib/lam/lib/
/usr/lib/lam/lib/libargs.a
/usr/lib/lam/lib/libmpi.a
/usr/lib/lam/lib/libt.a
/usr/lib/lam/lib/libtrillium.a
/usr/lib/lam/lib/libtstdio.a
# real libs
/usr/lib/libargs.a
/usr/lib/libmpi.a
/usr/lib/libt.a
/usr/lib/libtrillium.a
/usr/lib/libtstdio.a
#
# binaries
#
%dir /usr/lib/lam/bin/
/usr/bin/hboot
/usr/bin/hcc
/usr/bin/hcp
/usr/bin/hf77
/usr/bin/lamboot
/usr/bin/recon
/usr/bin/tkill
/usr/bin/wipe
/usr/bin/bfctl
/usr/bin/sweep
/usr/bin/bfstate
/usr/bin/doom
/usr/bin/fctl
/usr/bin/fstate
/usr/bin/lamclean
/usr/bin/lamgrow
/usr/bin/lamshrink
/usr/bin/lamtrace
/usr/bin/loadgo
/usr/bin/mpimsg
/usr/bin/mpirun
/usr/bin/mpitask
/usr/bin/state
/usr/bin/lamd
/usr/bin/tping
#
# boot dir
#
/usr/lib/lam/boot
%config /etc/lam/conf.lam
%config /etc/lam/conf.otb
%config /etc/lam/bhost.def
%config /etc/lam/bhost.lam
#
# man pages
#
%doc /usr/man/man1/recon.1.gz
%doc /usr/man/man1/hcc.1.gz
%doc /usr/man/man1/wipe.1.gz
%doc /usr/man/man1/lamboot.1.gz
%doc /usr/man/man1/bfstate.1.gz
%doc /usr/man/man1/tping.1.gz
%doc /usr/man/man1/lamshrink.1.gz
%doc /usr/man/man1/lamgrow.1.gz
%doc /usr/man/man1/doom.1.gz
%doc /usr/man/man1/loadgo.1.gz
%doc /usr/man/man1/tkill.1.gz
%doc /usr/man/man1/fstate.1.gz
%doc /usr/man/man1/hboot.1.gz
%doc /usr/man/man1/sweep.1.gz
%doc /usr/man/man1/state.1.gz
%doc /usr/man/man1/introu.1.gz
%doc /usr/man/man1/hf77.1.gz
%doc /usr/man/man1/fctl.1.gz
%doc /usr/man/man1/lamtrace.1.gz
%doc /usr/man/man1/mpimsg.1.gz
%doc /usr/man/man1/bfctl.1.gz
%doc /usr/man/man1/mpitask.1.gz
%doc /usr/man/man1/lamclean.1.gz
%doc /usr/man/man1/mpirun.1.gz
%doc /usr/man/man1/hcp.1.gz
%doc /usr/man/man2/NRCV.2.gz
%doc /usr/man/man2/ksr.2.gz
%doc /usr/man/man2/_kexit.2.gz
%doc /usr/man/man2/dsend.2.gz
%doc /usr/man/man2/drecv.2.gz
%doc /usr/man/man2/getntype.2.gz
%doc /usr/man/man2/getnall.2.gz
%doc /usr/man/man2/getnodeid.2.gz
%doc /usr/man/man2/getnodetype.2.gz
%doc /usr/man/man2/getnotb.2.gz
%doc /usr/man/man2/getorigin.2.gz
%doc /usr/man/man2/getnodes.2.gz
%doc /usr/man/man2/getotbs.2.gz
%doc /usr/man/man2/getall.2.gz
%doc /usr/man/man2/getcomps.2.gz
%doc /usr/man/man2/getjones.2.gz
%doc /usr/man/man2/getrent.2.gz
%doc /usr/man/man2/getrentc.2.gz
%doc /usr/man/man2/getroute.2.gz
%doc /usr/man/man2/getroute2.2.gz
%doc /usr/man/man2/getrtype.2.gz
%doc /usr/man/man2/getnjones.2.gz
%doc /usr/man/man2/kcreate.2.gz
%doc /usr/man/man2/kdoom.2.gz
%doc /usr/man/man2/lam_ksigretry.2.gz
%doc /usr/man/man2/MPIL_Comm_gps.2.gz
%doc /usr/man/man2/lam_ksigsetretry.2.gz
%doc /usr/man/man2/lam_kpause.2.gz
%doc /usr/man/man2/kstate.2.gz
%doc /usr/man/man2/kenter.2.gz
%doc /usr/man/man2/kattach.2.gz
%doc /usr/man/man2/kdetach.2.gz
%doc /usr/man/man2/kinit.2.gz
%doc /usr/man/man2/kexit.2.gz
%doc /usr/man/man2/ksend.2.gz
%doc /usr/man/man2/krecv.2.gz
%doc /usr/man/man2/introc.2.gz
%doc /usr/man/man2/lam_rfrmfd.2.gz
%doc /usr/man/man2/rpcreate.2.gz
%doc /usr/man/man2/rpdoom.2.gz
%doc /usr/man/man2/rpgo.2.gz
%doc /usr/man/man2/rploadgo.2.gz
%doc /usr/man/man2/lam_rfwrite.2.gz
%doc /usr/man/man2/rpspawn.2.gz
%doc /usr/man/man2/rpstate.2.gz
%doc /usr/man/man2/rpwait.2.gz
%doc /usr/man/man2/lpattach.2.gz
%doc /usr/man/man2/lpdetach.2.gz
%doc /usr/man/man2/nsend.2.gz
%doc /usr/man/man2/nrecv.2.gz
%doc /usr/man/man2/tsend.2.gz
%doc /usr/man/man2/lam_rflseek.2.gz
%doc /usr/man/man2/MPIL_Comm_id.2.gz
%doc /usr/man/man2/trecv.2.gz
%doc /usr/man/man2/rbfparms.2.gz
%doc /usr/man/man2/rbfstate.2.gz
%doc /usr/man/man2/recho.2.gz
%doc /usr/man/man2/rget.2.gz
%doc /usr/man/man2/rforget.2.gz
%doc /usr/man/man2/lam_rtrfforget.2.gz
%doc /usr/man/man2/lam_rtrfget.2.gz
%doc /usr/man/man2/rflat.2.gz
%doc /usr/man/man2/lam_rtrforget.2.gz
%doc /usr/man/man2/lam_rtrget.2.gz
%doc /usr/man/man2/lamf_rfread.2.gz
%doc /usr/man/man2/rflclean.2.gz
%doc /usr/man/man2/rload.2.gz
%doc /usr/man/man2/atkexit.2.gz
%doc /usr/man/man2/precv.2.gz
%doc /usr/man/man2/psend.2.gz
%doc /usr/man/man2/rbfsweep.2.gz
%doc /usr/man/man2/lam_rtrstore.2.gz
%doc /usr/man/man2/lam_rtrsweep.2.gz
%doc /usr/man/man2/lam_rtrudie.2.gz
%doc /usr/man/man2/lam_rtrwipe.2.gz
%doc /usr/man/man2/lam_ksigblock.2.gz
%doc /usr/man/man2/lam_ksignal.2.gz
%doc /usr/man/man2/lam_ksigsetmask.2.gz
%doc /usr/man/man2/MPIL_Type_id.2.gz
%doc /usr/man/man2/lam_rfread.2.gz
%doc /usr/man/man2/MPIL_Spawn.2.gz
%doc /usr/man/man2/MPIL_Trace_on.2.gz
%doc /usr/man/man2/MPIL_Signal.2.gz
%doc /usr/man/man2/MPIL_Trace_off.2.gz
%doc /usr/man/man2/MPIL_Universe_size.2.gz
%doc /usr/man/man2/MPIL_Comm_parent.2.gz
%doc /usr/man/man2/lam_rfopen.2.gz
%doc /usr/man/man2/lam_rfclose.2.gz
%doc /usr/man/man2/lam_rfposix.2.gz
%doc /usr/man/man2/rbflook.2.gz
%doc /usr/man/man2/IGNDID.2.gz
%doc /usr/man/man2/IGNDTP.2.gz
%doc /usr/man/man2/IGORGN.2.gz
%doc /usr/man/man2/IGNALL.2.gz
%doc /usr/man/man2/IGNCMP.2.gz
%doc /usr/man/man2/IGNJON.2.gz
%doc /usr/man/man2/IGNTP.2.gz
%doc /usr/man/man2/IGNOTB.2.gz
%doc /usr/man/man2/IGRTP.2.gz
%doc /usr/man/man2/NPROB.2.gz
%doc /usr/man/man2/KXIT.2.gz
%doc /usr/man/man2/lam_rfincr.2.gz
%doc /usr/man/man2/GNODES.2.gz
%doc /usr/man/man2/GALL.2.gz
%doc /usr/man/man2/GCOMPS.2.gz
%doc /usr/man/man2/GJONES.2.gz
%doc /usr/man/man2/GOTBS.2.gz
%doc /usr/man/man2/PRCV.2.gz
%doc /usr/man/man2/lam_rfstat.2.gz
%doc /usr/man/man2/KENTR.2.gz
%doc /usr/man/man2/NSND.2.gz
%doc /usr/man/man2/PRCVC.2.gz
%doc /usr/man/man2/PRCVO.2.gz
%doc /usr/man/man2/PSNDC.2.gz
%doc /usr/man/man2/PSND.2.gz
%doc /usr/man/man2/RPWT.2.gz
%doc /usr/man/man2/PSNDO.2.gz
%doc /usr/man/man2/TRROR.2.gz
%doc /usr/man/man2/TRCV.2.gz
%doc /usr/man/man2/TSND.2.gz
%doc /usr/man/man2/rrsetrents.2.gz
%doc /usr/man/man2/lamf_rfclose.2.gz
%doc /usr/man/man2/lam_rfstate.2.gz
%doc /usr/man/man2/RPLDGO.2.gz
%doc /usr/man/man2/rbfudie.2.gz
%doc /usr/man/man2/rbfwipe.2.gz
%doc /usr/man/man2/lamf_rfwrite.2.gz
%doc /usr/man/man2/lamf_rfopen.2.gz
%doc /usr/man/man2/INTROF.2.gz
%doc /usr/man/man2/nprobe.2.gz
%doc /usr/man/man2/MPI_Spawn.2.gz
%doc /usr/man/man3/all_hash.3.gz
%doc /usr/man/man3/all_list.3.gz
%doc /usr/man/man3/all_queue.3.gz
%doc /usr/man/man3/TTOL.3.gz
%doc /usr/man/man3/ttime.3.gz
%doc /usr/man/man3/libmpi.3.gz
%doc /usr/man/man3/ttol.3.gz
%doc /usr/man/man3/ltot.3.gz
%doc /usr/man/man3/FTTIME.3.gz
%doc /usr/man/man3/LTOT.3.gz
%doc /usr/man/man3/tstdio.3.gz
%doc /usr/man/man3/all_opt.3.gz
%doc /usr/man/man5/bhost.5.gz
%doc /usr/man/man5/CONSTANTS.5.gz
%doc /usr/man/man5/appschema.5.gz
%doc /usr/man/man5/procschema.5.gz
%doc /usr/man/man7/LAM.7.gz
%doc /usr/man/man7/lam.7.gz
%doc /usr/man/man7/mpi.7.gz
%doc /usr/man/man7/MPI.7.gz
#
# documentation and exmaples
#
%docdir /usr/doc/packages/lam/
%docdir /usr/doc/packages/lam/examples/
%doc    /usr/doc/packages/lam/lam-install.html
%docdir /usr/doc/packages/lam/mpi-quick-tut/
%doc    /usr/doc/packages/lam/mpi-quick-tut/mpi_ezstart.tut
%doc    /usr/doc/packages/lam/mpi-quick-tut/mpi_datatypes.tut
%doc    /usr/doc/packages/lam/mpi-quick-tut/Readme.tut
%doc    /usr/doc/packages/lam/mpi-quick-tut/lam_ezstart.tut
%doc    /usr/doc/packages/lam/mpi-quick-tut/mpi_collective.tut
%doc    /usr/doc/packages/lam/Readme
%doc    /usr/doc/packages/lam/lam61-release.html
%doc    /usr/doc/packages/lam/lam61.doc.ps.gz
%docdir /usr/doc/packages/lam/examples/
%docdir /usr/doc/packages/lam/examples/trivial/
%doc    /usr/doc/packages/lam/examples/trivial/ezstart.c
%doc    /usr/doc/packages/lam/examples/trivial/myapp
%doc    /usr/doc/packages/lam/examples/trivial/Readme
%doc    /usr/doc/packages/lam/examples/trivial/trivial.c
%doc    /usr/doc/packages/lam/examples/trivial/mynodes
%doc    /usr/doc/packages/lam/examples/trivial/trivial.F
%docdir /usr/doc/packages/lam/examples/mandelbrot/
%doc    /usr/doc/packages/lam/examples/mandelbrot/Readme
%doc    /usr/doc/packages/lam/examples/mandelbrot/Makefile
%doc    /usr/doc/packages/lam/examples/mandelbrot/mandel.h
%doc    /usr/doc/packages/lam/examples/mandelbrot/master.c
%doc    /usr/doc/packages/lam/examples/mandelbrot/myapp
%doc    /usr/doc/packages/lam/examples/mandelbrot/mynodes
%doc    /usr/doc/packages/lam/examples/mandelbrot/slave.c
%docdir /usr/doc/packages/lam/examples/fault/
%doc    /usr/doc/packages/lam/examples/fault/Makefile
%doc    /usr/doc/packages/lam/examples/fault/Readme
%doc    /usr/doc/packages/lam/examples/fault/mandel.h
%doc    /usr/doc/packages/lam/examples/fault/master.c
%doc    /usr/doc/packages/lam/examples/fault/myapp
%doc    /usr/doc/packages/lam/examples/fault/mynodes
%doc    /usr/doc/packages/lam/examples/fault/slave.c
%doc    /usr/doc/packages/lam/examples/Readme
%docdir /usr/doc/packages/lam/examples/wave1d/
%doc    /usr/doc/packages/lam/examples/wave1d/Makefile
%doc    /usr/doc/packages/lam/examples/wave1d/wave.F
%doc    /usr/doc/packages/lam/examples/wave1d/mynodes
%doc    /usr/doc/packages/lam/examples/wave1d/myapp
%doc    /usr/doc/packages/lam/examples/wave1d/Readme

